<?php 

/*
 *	Copyright 2011-2013 Benjamin Ingle
 *	The PSyOPs framework is licensed 
 *	under the GNU LGPL, version 2.1
 *	http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt
 */
 
/*
CHECK SUBMITS

9 = Item Bin

*/
 
//session_start();

include_once 'psyops_function.php';


$connect = connect_mysqli();
	if (!$connect) {
		die('Could not connect: ' . mysqli_error($connect));
	}
mysqli_select_db($connect, 'setup');


$cookie = ret_cookie($connect);
$repID = $cookie[0];
$level = $cookie[1];
unset($cookie);

$path = $_SERVER['DOCUMENT_ROOT'] . '/includes/contracts/';

$helpIC = '<strong>Enter Item number to view the contracts to which it is attached</strong>';
$helpCC = '<strong>Reports on customers with specified contract attached</strong>';


?>

<!doctype html>  
<html lang="en">  
<head>
  <meta charset="utf-8">
  <title>Warehouse Reports</title>
  <meta name="viewport" content="width=device-width">
  <link rel="stylesheet" type="text/css" href="/css/setupstyle.css" />
  <link rel="stylesheet" type="text/css" href="/css/setupprint.css" />
  <link rel="stylesheet" type="text/css" href="/css/jquery-ui.css" />
  <link rel="stylesheet" type="text/css" href="/css/custom-theme/jquery-ui-1.8.19.custom.css" />
  <link rel="stylesheet" type="text/css" href="/css/default.css" />		<!-- Impromptu -->
  <link rel="stylesheet" type="text/css" href="/css/jquery.loadmask.css" />
  <link rel="stylesheet" type="text/css" href="/css/jquery.dataTables.css" />

<!--[if lt IE 9]>
	<script src="http://ie7-js.googlecode.com/svn/version/2.1(beta4)/IE9.js"></script>
<![endif]-->
   
<script type="text/javascript" src="/js/jquery-1.7.1.min.js"></script>
<script type="text/javascript" src="/js/jquery-ui-1.8.19.custom.min.js"></script>
<script type="text/javascript" src="/js/jquery.form.js"></script>
<script type="text/javascript" src="/js/jquery-impromptu.js"></script>
<script type="text/javascript" src="/js/overlib.js">	<!-- overLIB (c) Erik Bosrup --></script>
<script type="text/javascript" src="/js/jquery.loadmask.min.js"></script>
<script type="text/javascript" src="/js/psyops-cookie.js"></script>
<script type="text/javascript" src="/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="/js/contractreports.js"></script>
<script type="text/javascript" src="/js/psyopsmenu.js"></script>

</head>

<body style="font-size:75%" onload="checkCookie()">  
<div class="wrap">
<div id="overDiv" style="position:absolute; visibility:hidden; z-index:1000;"></div>	<!-- OverLib div -->

<div class="report-title"><h1>Contract Reports</h1></div>
<form name="contractReports" id="contractReports" method="post">
<input type="hidden" id="check_submit" name="check_submit" value="1" />
<input type="hidden" id="checkVC" name="checkVC" value="" />
<input type="hidden" id="checkGC" name="checkGC" value="" />


<div class="w100; accordion-wrap">
<div id="accordion" class="w100">
	  <h1><a href="#"><strong>Contracts & Customers</strong></a></h1>
	  <div>																							<!-- ACCORDION DIV SECTION 1 -->
	  <div class="left w33"><div class="box">														<!-- ITEM BY CONTRACT REPORT -->
  		<!-- itembycontract.php / dlitemoncontract.php -->
			<div class="title-link" style="font-size:125%; color:#000066;">
			<a class="link" style="cursor: help;" href="javascript:void(0);" onmouseover="return overlib('<?php echo $helpIC; ?>');" onmouseout="return nd();"><strong>Items by Contract</strong></a></div>
			<div class="subtext"><br>mfg:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;item:</div>
			<div class="input w15" style="margin-right:2%; float:left;"><input id="mfg" name="mfg" type="textbox" class="text w100" value=""></div>
			<div class="input w25" style="float:left;"><input id="item" name="item" type="textbox" class="text w100" value=""></div>
			<div class="clear"></div>
			<div class="subtext">View results on this page</div>
			<button onclick="return false" id="viewItemOnContract" value="viewItemOnContract" url="#">View</button>
			<div class="subtext">Download in Excel xls format</div>
			<button onclick="return false" id="dlItemOnContract" value="dlItemOnContract" url="#">Download</button>
			<div class="subtext2">Last run: <?php echo ret_timestamp($connect, 'item by contract'); ?></div>
			<div class="subtextlt">Last modified: <?php echo last_modified('contract_by_item.php', $path); ?></div>
	  </div></div>
	  <div class="left w33"><div class="box">													<!-- CONTRACT BY CUSTOMER -->
			<!-- customer_by_contract.php / customer_by_contract-dl.php -->
			<div class="title-link" style="font-size:125%; color:#000066;">
			<a class="link" style="cursor: help;" href="javascript:void(0);" onmouseover="return overlib('<?php echo $helpCC; ?>');" onmouseout="return nd();"><strong>Customer by Contract</strong></a></div>
			<div class="subtext"><br>Enter contract code:</div>
			<div class="input w15"><input id="custByContract" name="custByContract" type="textbox" class="text w100" value="" maxlength="2"></div>
			<div class="subtext">View results on this page</div>
			<button onclick="return false" id="viewCustByContract" value="viewCustByContract" url="#">View</button>
			<div class="subtext">Download in Excel xls format</div>
			<button onclick="return false" id="dlCustByContract" value="dlCustByContract" url="#">Download</button>	
			<div class="subtext2">Last run: <?php echo ret_timestamp($connect, 'cust by contract'); ?></div>
			<div class="subtextlt">Last modified: <?php echo last_modified('customer_by_contract.php', $path); ?></div>
	  </div></div>
	  
	  
	  </div>
	  <h1><a href="#"><strong>MENU</strong></a></h1>
	  <div>																						<!-- ACCORDION DIV MENU SECTION -->
		<div class="left w100"><div class="box">														
			<!--button onclick="return false" id="navCustomerReports" value="navCustomerReports" url="#">Customer Reports</button-->
			<button onclick="return false" id="navWarehouseReports" value="navWarehouseReports" url="#">Warehouse Reports</button>
			<button onclick="return false" id="navContractReports" value="navContractReports" url="#">Contract Reports</button>
		</div></div>
	  </div>					
	  
</div>																							<!-- END ACCORDION -->
</div>																							<!-- END ACCORDION-WRAP -->
<div class="w100; button-wrap" id="helpcollapse">
	<div class="subtextlt" style="float:left">Last modified: <?php echo date ("Y-m-d H:i:s.", filemtime(__FILE__)); ?></div>
	<button style="width:5em; height:2em; float:right" onclick="return false" id="printButton" value="print" url="#">Print</button>
	<button style="width:2em; height:2em; float:right" onclick="return false" id="collapse" value="collapse" url="#"></button>
	<div class="clear"></div>
</div>



<fieldset><legend></legend>
	<div>
	<div style="display:none;" id="printICTitle" name="printICTitle" class="print-title"><h2>Item By Contract</h2></div>
	<div style="display:none;" id="printCCTitle" name="printCCTitle" class="print-title"><h2>Contract by Customer</h2></div>
	
	<div id="divRes" class="left w100" style="display:none;"><div class="box">
		<div id="contract_results"></div>
	</div></div>
	</div>
</fieldset>
</div>

<div class="clear"></div>
</form>

<?php mysqli_close($connect); ?>

</body>  
</html>

