<?php

/*
 *	Copyright 2011-2013 Benjamin Ingle
 *	The PSyOPs framework is licensed 
 *	under the GNU LGPL, version 2.1
 *	http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt
 */

/*	//DEBUG
 foreach($_POST as $key => $value)
 echo $key."=".$value;
*/	

include_once $_SERVER['DOCUMENT_ROOT'] . '/psyops_function.php';

if (array_key_exists('check_submit', $_POST)) {
	
$connect = connect_mysqli();
mysqli_select_db($connect, 'setup');

$cookie = ret_cookie($connect);
$repID = $cookie[0];
$level = $cookie[1];
unset($cookie);

$idConn = connect_sqlsrv();
	
$checkSubmit = sanitize($_POST['check_submit']);
$contract = sanitize($_POST['custByContract']);
//$contract = ('C7');


setlocale(LC_MONETARY, 'en_US');

if ($checkSubmit == 5) {						// VIEW CONTRACT
	
$tsql = "select Customer.Account, Customer.Department, Customer.Name, CustomerPricing.BestPricing, CustomerPricing.DiscountType, 
	CustomerPricing.DiscountPercent, CustomerPricing.HoldDiscount, CustomerPricing.HoldDiscountDays, CustomerPricing.PricePlan1, 
	CustomerPricing.PricePlan2, CustomerPricing.PricePlan3, CustomerPricing.PricePlan4, 
	convert(varchar(10),CustomerTotal.LastOrderDate,111), CustomerSalesPerson.UserId, [User].Name
from (Customer left join (
		CustomerPricing full join CustomerTotal on CustomerPricing.CustomerId = CustomerTotal.CustomerId
	) on Customer.Id = CustomerPricing.CustomerId
	) left join (
		[User] left join CustomerSalesPerson on [User].Id = CustomerSalesPerson.UserId
	) on CustomerSalesPerson.CustomerId = Customer.Id

where ((CustomerPricing.PricePlan1 = (?)) or (CustomerPricing.PricePlan2 = (?)) or 
	(CustomerPricing.PricePlan3 = (?)) or (CustomerPricing.PricePlan4 = (?)))
and CustomerSalesPerson.UserId != 'CLSE'
and CustomerSalesPerson.UserType = 'PRIMARY'
order by Customer.Account asc, Customer.Department asc";

$params = array($contract, $contract, $contract, $contract);

$options = array("Scrollable" => SQLSRV_CURSOR_KEYSET);
$getReport = sqlsrv_query($idConn, $tsql, $params, $options);

if ($getReport === false) {
	die(print_r(sqlsrv_errors()) );
}

									// 
echo ("
<script type='text/javascript'>
$(document).ready(function() 
    { 
	    $(document).ready(function() {
    	$('#viewtable').dataTable({
	    	'aaSorting': [[0,'asc'],[1,'asc']],
		    'bPaginate': false,
	        'bLengthChange': false,
	        'bFilter': true,
	        'bSort': true,
	        'bInfo': false,
	        'bAutoWidth': false
    	});
		});
    } 
); 
</script>
	<table border = '0' cellspacing='0' cellpadding='8' style='font-family:Arial, sans-serif;' id='viewtable' class='tablesorter'>
	<thead>
	<tr>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Account</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Dept</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Customer</th>
	<th style='font-size:12px;;font-weight:bold;color:#000000;'>BP</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>DT</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Disc %</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>HT</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Floor %</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Cont1</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Cont2</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Cont3</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Cont4</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Last Order</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Slsm</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Slsm Name</th>
	</tr></thead><tbody>"
	);

$i = 1;
while ($row = sqlsrv_fetch_array($getReport, SQLSRV_FETCH_NUMERIC)) {
	$disc = (round($row[5], 3) * 100) . '%';
	$floor = $row[7] . '%';
	
     echo (
     "<tr><td style='font-size:12px;color:#000000;'>$row[0]</td>
     <td style='font-size:12px;color:#000000;'>$row[1]</td>
     <td style='font-size:12px;color:#000000;'>$row[2]</td>
     <td style='font-size:12px;color:#000000;'>$row[3]</td>
     <td style='font-size:12px;color:#000000;'>$row[4]</td>
     <td style='font-size:12px;color:#000000;'>$disc</td>
     <td style='font-size:12px;color:#000000;'>$row[6]</td>
     <td style='font-size:12px;color:#000000;'>$floor</td>
     <td style='font-size:12px;color:#000000;'>$row[8]</td>
     <td style='font-size:12px;color:#000000;'>$row[9]</td>
     <td style='font-size:12px;color:#000000;'>$row[10]</td>
     <td style='font-size:12px;color:#000000;'>$row[11]</td>
     <td style='font-size:12px;color:#000000;'>$row[12]</td>
     <td style='font-size:12px;color:#000000;'>$row[13]</td>
     <td style='font-size:12px;color:#000000;'>$row[14]</tr>"
     );
  $i++;
}

echo ("</tbody></table></form></html>");
										

insert_timestamp($connect, 'cust by contract', 'viewed', $repID);	

// clean up
sqlsrv_free_stmt($getReport);
sqlsrv_close($idConn);
mysqli_close($connect);
unset($checkSubmit);
exit;
}															// END CHECKSUBMIT == 1

} else {
 	echo "You can't see this page without submitting the form.";
}	

?>

