<?php 

/*
 *	Copyright 2011-2013 Benjamin Ingle
 *	The PSyOPs framework is licensed 
 *	under the GNU LGPL, version 2.1
 *	http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt
 */

/*	//DEBUG
 foreach($_POST as $key => $value)
 echo $key."=".$value;
*/

include_once $_SERVER['DOCUMENT_ROOT'] . '/psyops_function.php';

$connect = connect_mysqli();
mysqli_select_db($connect, 'setup');

$helpIBB = '<strong>Enter Item Number to view bin location</strong>';

$path = $_SERVER['DOCUMENT_ROOT'] . '/includes/item/';

?>

<!doctype html>  
<html lang="en">  
<head>
  <meta charset="utf-8">
  <title>Item Bin Inquiry</title>
  <meta name="viewport" content="width=device-width">
  <link rel="stylesheet" type="text/css" href="/css/setupstyle.css" />
  <link rel="stylesheet" type="text/css" href="/css/setupprint.css" />
  <link rel="stylesheet" type="text/css" href="/css/jquery-ui.css" />
  <link rel="stylesheet" type="text/css" href="/css/custom-theme/jquery-ui-1.8.19.custom.css" />
  <link rel="stylesheet" type="text/css" href="/css/default.css" />		<!-- Impromptu -->
  <link rel="stylesheet" type="text/css" href="/css/jquery.loadmask.css" />
  <link rel="stylesheet" type="text/css" href="/css/jquery.dataTables.css" />

<!--[if lt IE 9]>
	<script src="http://ie7-js.googlecode.com/svn/version/2.1(beta4)/IE9.js"></script>
<![endif]-->
   
<script type="text/javascript" src="/js/jquery-1.7.1.min.js"></script>
<script type="text/javascript" src="/js/jquery-ui-1.8.19.custom.min.js"></script>
<script type="text/javascript" src="/js/jquery.form.js"></script>
<script type="text/javascript" src="/js/jquery-impromptu.js"></script>
<script type="text/javascript" src="/js/overlib.js">	<!-- overLIB (c) Erik Bosrup --></script>
<script type="text/javascript" src="/js/jquery.loadmask.min.js"></script>
<script type="text/javascript" src="/js/psyops-cookie.js"></script>
<script type="text/javascript" src="/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="/js/itemreports.js"></script>
<script type="text/javascript" src="/js/psyopsmenu.js"></script>

</head>

<body style="font-size:75%" onload="checkCookie()">  
<div class="wrap">
<div id="overDiv" style="position:absolute; visibility:hidden; z-index:1000;"></div>	<!-- OverLib div -->

<div class="report-title"><h1>Item Reports</h1></div>
<form name="itemReports" id="itemReports" method="post">
<input type="hidden" id="check_submit" name="check_submit" value="1" />

<div class="w100; accordion-wrap">
<div id="accordion" class="w100">
	  <h1><a href="#"><strong>Item Reports</strong></a></h1>
	  <div>							<!-- ACCORDION DIV SECTION 1 -->
	  	<div class="left w50"><div class="box">														<!-- Item Bin Inquiry -->
			<div class="title-link" style="margin-right:2px; font-size:125%; color:#000066;">
			<a class="link" style="cursor: help;" href="javascript:void(0);" onmouseover="return overlib('<?php echo $helpIBB ?>');" onmouseout="return nd();"><strong>Item Bin Inquiry</strong></a></div>
			<div class="clear"></div>			
			<div class="left w100">		<!-- ROW ONE -->
			<div class="subtext">Item Number:</div>
			<div class="input w90"><input id="binItem" name="binItem" type="textbox" class="text w100" value=""></div>
			</div>
			<div class="clear"></div>
			<div class="subtext"></div>
			<button onclick="return false" id="viewBinItem" value="viewBinItem" url="#">Search</button>
			<div class="subtext2">Last run: <?php echo ret_timestamp($connect, 'bin item'); ?></div>
			<div class="subtextlt">Last modified: <?php echo last_modified('itembin.php', $path); ?></div>
			<div class="clear"></div>
		</div></div>				<!-- END ROW ONE -->
	  </div>						<!-- END ACCORDION DIV SECTION 1 -->
	  
	  
</div>									<!-- END ACCORDION -->
</div>									<!-- END ACCORDION-WRAP -->
<div class="w100; button-wrap" id="helpcollapse">
	<button style="width:5em; height:2em; float:right" onclick="return false" id="printButton" value="print" url="#">Print</button>
	<button style="width:2em; height:2em; float:right" onclick="return false" id="collapse" value="collapse" url="#"></button>
	<div class="clear"></div>
</div>



<fieldset><legend></legend>
	<div>
	<div style="display:none;" id="printIBBTitle" name="printIBBTitle" class="print-title"><h2>Item Bin Inquiry</h2></div>
	
	
	<div id="divRes" class="left w100" style="display:none;"><div class="box">
		<div id="customer_results"></div>
	</div></div>
	</div>
</fieldset>
</div>

<div class="clear"></div>
</form>

</body>  
</html>
