<?php 

/*
 *	Copyright 2011-2013 Benjamin Ingle
 *	The PSyOPs framework is licensed 
 *	under the GNU LGPL, version 2.1
 *	http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt
 */

/*	//DEBUG
 foreach($_POST as $key => $value)
 echo $key."=".$value;
*/

include_once $_SERVER['DOCUMENT_ROOT'] . '/psyops_function.php';

if (array_key_exists('check_submit', $_POST)) {

	
$connect = connect_mysqli();
mysqli_select_db($connect, 'setup');

$idConn = connect_sqlsrv();

$cookie = ret_cookie($connect);
$repID = $cookie[0];
unset($cookie);

$checkSubmit = ($_POST['check_submit']);
$po = sanitize($_POST['pbrPONumber']);
	$po = '%'.$po;

setlocale(LC_MONETARY, 'en_US');


if ($checkSubmit == 6) {						// VIEW PO BIN REPORT

$tsql = "select PurchaseOrderDetail.SKU, PurchaseOrderDetail.MACCode, PurchaseOrderDetail.Ordered, 
	PurchaseOrderDetail.Received, ItemInventory.PrimaryBin, ItemInventory.SecondaryBin, ItemInventory.ItemId
from PurchaseOrderDetail full join ItemInventory on PurchaseOrderDetail.ItemId = ItemInventory.ItemId
where PurchaseOrderDetail.PurchaseOrderId like (?)
	and ItemInventory.Location = '9'
	";
	
$params = array($po);

$options = array("Scrollable" => SQLSRV_CURSOR_KEYSET);
$getReport = sqlsrv_query($idConn, $tsql, $params, $options);

if ($getReport === false) {
	die(print_r(sqlsrv_errors()) );
}

					// 
echo ("
<script type='text/javascript'>
$(document).ready(function() 
    { 
	    $(document).ready(function() {
    	$('#viewtable').dataTable({
	    	'aaSorting': [[3,'asc']],
		    'bPaginate': false,
	        'bLengthChange': false,
	        'bFilter': true,
	        'bSort': true,
	        'bInfo': false,
	        'bAutoWidth': true
	    });
		});
    } 
); 
</script>
	<table border = '0' cellspacing='0' cellpadding='8' style='font-family:Arial, sans-serif;' id='viewtable' class='tablesorter'>
	<thead>
	<tr>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Item</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Ordered</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Received</th>
	<th style='font-size:12px;;font-weight:bold;color:#000000;'>Primary Bin</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Secondary Bin</th>
	<th style='font-size:12px;font-weight:bold;color:#000000;'>Bulk Bin</th>
	</tr></thead><tbody>
	");
	
mysqli_select_db($connect, 'item');
$i = 1;
while ($row = sqlsrv_fetch_array($getReport, SQLSRV_FETCH_NUMERIC)) {
	$item = trim($row[1]).trim($row[0]);
// 	$key = trim($row[0]).trim($row[1]);
	$key = str_pad(trim($row[0]), 15).trim($row[1]);
	
	$queryString = "SELECT bin FROM bulk_bin WHERE '$key' = item_key and loc = '9'";
		$Qry = mysqli_query($connect, $queryString);
		$qryRes = mysqli_fetch_array($Qry); 
	//	print_r($qryRes);
	/*	 */
//	echo $mString;	  
    
	 echo ("
     <tr>
     <td style='font-size:12px;color:#000000;'>$item</td>
     <td style='font-size:12px;color:#000000;'>$row[2]</td>
     <td style='font-size:12px;color:#000000;'>$row[3]</td>
     <td style='font-size:12px;color:#000000;'>$row[4]</td>
     <td style='font-size:12px;color:#000000;'>$row[5]</td>
     <td style='font-size:12px;color:#000000;'>$qryRes[0]</td>
     </tr>
     ");
  $i++;
}

echo ("</tbody></table></form></html>");

mysqli_select_db($connect, 'setup');
insert_timestamp($connect, 'po bin', 'viewed', $repID);


// clean up
mysqli_close($connect);
sqlsrv_free_stmt($getReport);
sqlsrv_close($idConn);
unset($checkSubmit);
exit;
}															// END CHECKSUBMIT == 6

} else {
 	echo "You can't see this page without submitting the form.";
}	

?>

