<?php 

/*
 *	Copyright 2011-2013 Benjamin Ingle
 *	The PSyOPs framework is licensed 
 *	under the GNU LGPL, version 2.1
 *	http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt
 */
 
/*
CHECK SUBMITS

9 = Item Bin

*/
 
//session_start();

include_once 'psyops_function.php';


$connect = connect_mysqli();
	if (!$connect) {
		die('Could not connect: ' . mysqli_error($connect));
	}
mysqli_select_db($connect, 'setup');


$cookie = ret_cookie($connect);
$repID = $cookie[0];
$level = $cookie[1];
unset($cookie);

$path = $_SERVER['DOCUMENT_ROOT'] . '/includes/warehouse/';

$helpIBB = '<strong>Reports item bins by item number</strong>';
$helpPBR = '<strong>Reports item bins by PO number</strong>';

?>


<!doctype html>  
<html lang="en">  
<head>
  <meta charset="utf-8">
  <title>Warehouse Reports</title>
  <meta name="viewport" content="width=device-width">
  <link rel="stylesheet" type="text/css" href="/css/setupstyle.css" />
  <link rel="stylesheet" type="text/css" href="/css/setupprint.css" />
  <link rel="stylesheet" type="text/css" href="/css/jquery-ui.css" />
  <link rel="stylesheet" type="text/css" href="/css/custom-theme/jquery-ui-1.8.19.custom.css" />
  <link rel="stylesheet" type="text/css" href="/css/default.css" />		<!-- Impromptu -->
  <link rel="stylesheet" type="text/css" href="/css/jquery.loadmask.css" />
  <link rel="stylesheet" type="text/css" href="/css/jquery.dataTables.css" />

<!--[if lt IE 9]>
	<script src="http://ie7-js.googlecode.com/svn/version/2.1(beta4)/IE9.js"></script>
<![endif]-->
   
<script type="text/javascript" src="/js/jquery-1.7.1.min.js"></script>
<script type="text/javascript" src="/js/jquery-ui-1.8.19.custom.min.js"></script>
<script type="text/javascript" src="/js/jquery.form.js"></script>
<script type="text/javascript" src="/js/jquery-impromptu.js"></script>
<script type="text/javascript" src="/js/overlib.js">	<!-- overLIB (c) Erik Bosrup --></script>
<script type="text/javascript" src="/js/jquery.loadmask.min.js"></script>
<script type="text/javascript" src="/js/psyops-cookie.js"></script>
<script type="text/javascript" src="/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="/js/warehousereports.js"></script>
<script type="text/javascript" src="/js/psyopsmenu.js"></script>

</head>

<body style="font-size:75%" onload="checkCookie()">  
<div class="wrap">
<div id="overDiv" style="position:absolute; visibility:hidden; z-index:1000;"></div>	<!-- OverLib div -->

<div class="report-title"><h1>Warehouse Reports</h1></div>
<form name="warehouseReports" id="warehouseReports" method="post">
<input type="hidden" id="check_submit" name="check_submit" value="1" />


<div class="w100; accordion-wrap">
<div id="accordion" class="w100">
	  <h1><a href="#"><strong>Product Reports</strong></a></h1>
	  <div>																							<!-- ACCORDION DIV SECTION 1 -->
	  <div class="left w33"><div class="box">														<!-- ITEM BIN REPORT -->
  		<!-- itembin.php -->
		<div class="title-link" style="margin-right:2px; font-size:125%; color:#000066;">
		<a class="link" style="cursor: help;" href="javascript:void(0);" onmouseover="return overlib('<?php echo $helpIBB ?>');" onmouseout="return nd();"><strong>Item Bin Report</strong></a></div>
		<div class="clear"></div>			
		<div class="subtext">Item Number:</div>
		<div class="input w50"><input id="binItem" name="binItem" type="textbox" class="text w100" value=""></div>
		<div class="subtext">View results on this page</div>
		<button onclick="return false" id="viewItemBin" value="viewItemBin" url="#">View</button>
		<!--div class="subtext">Download in Excel xls format</div>
		<button onclick="return false" id="dlPOBin" value="dlPOBin" url="#">Download</button-->
		<div class="subtext2">Last run: <?php echo ret_timestamp($connect, 'item bin'); ?></div>
		<div class="subtextlt">Last modified: <?php echo last_modified('itembin.php', $path); ?></div>
		<div class="subtextlt">bulk_bin last updated: <?php echo ret_table_update($connect, 'item', 'bulk_bin'); ?></div>
	  </div></div>
	  <div class="left w33"><div class="box">														<!-- PO BIN REPORT -->
  		<!-- pobin.php -->
		<div class="title-link" style="margin-right:2px; font-size:125%; color:#000066;">
		<a class="link" style="cursor: help;" href="javascript:void(0);" onmouseover="return overlib('<?php echo $helpPBR ?>');" onmouseout="return nd();"><strong>PO Bin Report</strong></a></div>
		<div class="clear"></div>			
		<div class="subtext">PO Number:</div>
		<div class="input w50"><input id="pbrPONumber" name="pbrPONumber" type="textbox" class="text w100" value=""></div>
		<div class="subtext">View results on this page</div>
		<button onclick="return false" id="viewPOBin" value="viewPOBin" url="#">View</button>
		<div class="subtext2">Last run: <?php echo ret_timestamp($connect, 'po bin'); ?></div>
		<div class="subtextlt">Last modified: <?php echo last_modified('pobin.php', $path); ?></div>
		<div class="subtextlt">bulk_bin last updated: <?php echo ret_table_update($connect, 'item', 'bulk_bin'); ?></div>
	  </div></div>
	  </div>
	  <h1><a href="#"><strong>MENU</strong></a></h1>
	  <div>																						<!-- ACCORDION DIV MENU SECTION -->
		<div class="left w100"><div class="box">														
			<!--button onclick="return false" id="navCustomerReports" value="navCustomerReports" url="#">Customer Reports</button-->
			<button onclick="return false" id="navWarehouseReports" value="navWarehouseReports" url="#">Warehouse Reports</button>
			<button onclick="return false" id="navContractReports" value="navContractReports" url="#">Contract Reports</button>
		</div></div>
	  </div>					
	  
</div>																							<!-- END ACCORDION -->
</div>																							<!-- END ACCORDION-WRAP -->
<div class="w100; button-wrap" id="helpcollapse">
	<div class="subtextlt" style="float:left">Last modified: <?php echo date ("Y-m-d H:i:s.", filemtime(__FILE__)); ?></div>
	<button style="width:5em; height:2em; float:right" onclick="return false" id="printButton" value="print" url="#">Print</button>
	<button style="width:2em; height:2em; float:right" onclick="return false" id="collapse" value="collapse" url="#"></button>
	<div class="clear"></div>
</div>



<fieldset><legend></legend>
	<div>
	<div style="display:none;" id="printPBRTitle" name="printPBRTitle" class="print-title"><h2>PO Bin</h2></div>
	<div style="display:none;" id="printIBBTitle" name="printIBBTitle" class="print-title"><h2>Item Bin</h2></div>
	
	<div id="divRes" class="left w100" style="display:none;"><div class="box">
		<div id="customer_results"></div>
	</div></div>
	</div>
</fieldset>
</div>

<div class="clear"></div>
</form>

<?php mysqli_close($connect); ?>

</body>  
</html>

